# 支持AI引擎的智能切片管理系统

> A National Key Research Project  

#### 安装说明

前置需求：[NodeJS](https://nodejs.org/zh-cn/)、NPM、yarn

##### STEPS
``` bash

git clone http://202.204.54.185/project-ai-scheduler/oai_show_app

cd oai_show_app

npm install yarn -g (请耐性等待，安装依赖会很耗时)

yarn

# serve with hot reload at localhost:9080
yarn dev

```

---


现在你可以看到基本的操作界面了


![ss](/绘图1.png)


现在完成的内容有：

- [√] 切片信息的展示

- [√] OAI基站下行分配无线资源块的时频图

- [√] OAI无线接入网的网络拓扑图 [FlexRAN Drone App]("http://ustb-oai.com:2224")

- [√] 接入用户设备UE的信息展示，时延信息在鼠标停在速率指标上时会展示

- [√] UE的切片分配

- [√] 在此APP上集成了远程控制SSH以及运行OAI基站、核心网的API，在顶部菜单栏可见

- [√] 在将OAI接入网运行起来后，在顶部连接AI-Engine可以运行基于DuelingDQN的DRL的智能切片资源分配情况

尚未完成：

- [×] 切片时延信息计算，LTE/NR中HOL Delay在RLC协议中有所规定，但是在OAI中并未有此信息

- [×] AI-Engine的资源分配算法的完善
